Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025196
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-11-21 13:132013-12-19 12:32
ReporteregoitzView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revision73475cebe855
ProjectionnoneETAnoneTarget Version3.0MP31
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025196: The product characteristics filter does not work on the produtsimple selector

DescriptionThe product characteristics filter does not work on the produtsimple selector.

OBN the orders the default selector for product is the product selector, but on invoices the reference assigned to m_product_id column is the product simple.
On that selector the product characteristics filter does not work.
Steps To Reproduce-Create 2 product characteristics A and B.
-Create tow values for each characteristics. A1, A2 , B1 and B2.
-Create a generic product, assign a price list, assign both product characteristics and create variants.
-Create a sales invoice and add a line
-Open the product selector and use the characteristics filter.
*It does not work.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0025348 closedalostale ProductSimple selector cannot filter by Unit Price nor List Price 
related to defect 0025360 closedalostale BP selector drop down is not working 
related to defect 0025365 closedalostale It is not possible to select an organization from the org drop down 

-  Notes
(0062334)
egoitz (developer)
2013-11-21 17:19

org.hibernate.QueryException: could not resolve property: netListPrice of: Product [select p.searchKey as searchKey, p.id as id, plv as priceListVersion, plv.name as priceListVersionName, c.id as currency, pp.priceLimit as priceLimit, p.name as productName,p.uOM as uOM, pp.standardPrice as standardPrice, pp.listPrice as netListPrice, pl.salesPriceList as salesPriceList, p.characteristicDescription as chDescription, gp.name as genericProduct
from PricingProductPrice pp
join pp.product p
join pp.priceListVersion plv
join plv.priceList pl
left join pl.currency c
left join p.genericProduct gp
where p.isGeneric = 'N'
  and pp.client.id in ('0', '44FE6AC078E14A6CA5A1189E01E67FB5')
 AND pp.organization in ('825BF275D875406288FE248FC7D41136','0')
 AND ( pl.salesPriceList = true AND c.id = '102')
 AND (lower(p.characteristicDescription) LIKE '%["2cf4d8b74cd94779bd2cb1c53f14f2c3"]%'
 AND p.netListPrice = 0)
 ORDER BY 4]
at org.hibernate.persister.entity.AbstractPropertyMapping.propertyException(AbstractPropertyMapping.java:81)
        at org.hibernate.persister.entity.AbstractPropertyMapping.toType(AbstractPropertyMapping.java:75)
        at org.hibernate.persister.entity.AbstractEntityPersister.toType(AbstractEntityPersister.java:1465)
        at org.hibernate.hql.ast.tree.FromElementType.getPropertyType(FromElementType.java:315)
        at org.hibernate.hql.ast.tree.FromElement.getPropertyType(FromElement.java:487)
        at org.hibernate.hql.ast.tree.DotNode.getDataType(DotNode.java:611)
        at org.hibernate.hql.ast.tree.DotNode.prepareLhs(DotNode.java:263)
        at org.hibernate.hql.ast.tree.DotNode.resolve(DotNode.java:210)
        at org.hibernate.hql.ast.tree.FromReferenceNode.resolve(FromReferenceNode.java:117)
        at org.hibernate.hql.ast.tree.FromReferenceNode.resolve(FromReferenceNode.java:113)
        at org.hibernate.hql.ast.HqlSqlWalker.resolve(HqlSqlWalker.java:880)
        at org.hibernate.hql.antlr.HqlSqlBaseWalker.expr(HqlSqlBaseWalker.java:1330)
        at org.hibernate.hql.antlr.HqlSqlBaseWalker.exprOrSubquery(HqlSqlBaseWalker.java:4471)
        at org.hibernate.hql.antlr.HqlSqlBaseWalker.comparisonExpr(HqlSqlBaseWalker.java:3944)
        at org.hibernate.hql.antlr.HqlSqlBaseWalker.logicalExpr(HqlSqlBaseWalker.java:2047)
        at org.hibernate.hql.antlr.HqlSqlBaseWalker.logicalExpr(HqlSqlBaseWalker.java:1975)
        at org.hibernate.hql.antlr.HqlSqlBaseWalker.logicalExpr(HqlSqlBaseWalker.java:1975)
        at org.hibernate.hql.antlr.HqlSqlBaseWalker.whereClause(HqlSqlBaseWalker.java:831)
        at org.hibernate.hql.antlr.HqlSqlBaseWalker.query(HqlSqlBaseWalker.java:617)
        at org.hibernate.hql.antlr.HqlSqlBaseWalker.selectStatement(HqlSqlBaseWalker.java:301)
        at org.hibernate.hql.antlr.HqlSqlBaseWalker.statement(HqlSqlBaseWalker.java:244)
        at org.hibernate.hql.ast.QueryTranslatorImpl.analyze(QueryTranslatorImpl.java:254)
        at org.hibernate.hql.ast.QueryTranslatorImpl.doCompile(QueryTranslatorImpl.java:185)
        at org.hibernate.hql.ast.QueryTranslatorImpl.compile(QueryTranslatorImpl.java:136)
        at org.hibernate.engine.query.HQLQueryPlan.<init>(HQLQueryPlan.java:101)
        at org.hibernate.engine.query.HQLQueryPlan.<init>(HQLQueryPlan.java:80)
        at org.hibernate.engine.query.QueryPlanCache.getHQLQueryPlan(QueryPlanCache.java:124)
        at org.hibernate.impl.AbstractSessionImpl.getHQLQueryPlan(AbstractSessionImpl.java:156)
        at org.hibernate.impl.AbstractSessionImpl.createQuery(AbstractSessionImpl.java:135)
        at org.hibernate.impl.SessionImpl.createQuery(SessionImpl.java:1770)
        at org.openbravo.userinterface.selector.CustomQuerySelectorDatasource.getData(CustomQuerySelectorDatasource.java:105)
        at org.openbravo.service.datasource.ReadOnlyDataSourceService.fetchJSONObject(ReadOnlyDataSourceService.java:120)
        at org.openbravo.service.datasource.ReadOnlyDataSourceService.fetch(ReadOnlyDataSourceService.java:68)
        at org.openbravo.service.datasource.DataSourceServlet.doFetch(DataSourceServlet.java:256)
        at org.openbravo.service.datasource.DataSourceServlet.doPost(DataSourceServlet.java:678)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)
at org.openbravo.base.HttpBaseServlet.serviceInitialized(HttpBaseServlet.java:225)
        at org.openbravo.base.secureApp.HttpSecureAppServlet.service(HttpSecureAppServlet.java:440)
        at org.openbravo.client.kernel.BaseKernelServlet.callServiceInSuper(BaseKernelServlet.java:87)
        at org.openbravo.client.kernel.BaseKernelServlet.service(BaseKernelServlet.java:63)
        at org.openbravo.service.datasource.DataSourceServlet.service(DataSourceServlet.java:138)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.openbravo.utils.SessionExpirationFilter.doFilter(SessionExpirationFilter.java:66)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.openbravo.utils.CharsetFilter.doFilter(CharsetFilter.java:35)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.openbravo.client.kernel.KernelFilter$1.doAction(KernelFilter.java:62)
        at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
        at org.openbravo.client.kernel.KernelFilter.doFilter(KernelFilter.java:71)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.openbravo.dal.core.DalRequestFilter$1.doAction(DalRequestFilter.java:81)
        at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
        at org.openbravo.dal.core.DalRequestFilter.doFilter(DalRequestFilter.java:103)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)
        at org.apache.coyote.ajp.AjpAprProcessor.process(AjpAprProcessor.java:429)
        at org.apache.coyote.ajp.AjpAprProtocol$AjpConnectionHandler.process(AjpAprProtocol.java:384)
        at org.apache.tomcat.util.net.AprEndpoint$Worker.run(AprEndpoint.java:1555)
        at java.lang.Thread.run(Thread.java:679)
(0062745)
hgbot (developer)
2013-12-17 16:17

Repository: erp/devel/pi
Changeset: 73475cebe8558161cd85c898ff1958541a585a45
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Dec 17 16:17:29 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/73475cebe8558161cd85c898ff1958541a585a45 [^]

fixed bug 25196: product characteristics filter fails in produtsimple selector

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
---
(0062769)
AugustoMauch (developer)
2013-12-18 11:29

Code reviewed and verified in pi@469ba15fbba3
(0062857)
hudsonbot (developer)
2013-12-19 12:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-21 13:13 egoitz New Issue
2013-11-21 13:13 egoitz Assigned To => AugustoMauch
2013-11-21 13:13 egoitz Modules => Core
2013-11-21 13:13 egoitz Triggers an Emergency Pack => No
2013-11-21 17:19 egoitz Note Added: 0062334
2013-11-25 12:14 jonalegriaesarte Target Version 3.0MP30 => 3.0MP31
2013-12-17 16:17 alostale Review Assigned To => AugustoMauch
2013-12-17 16:17 hgbot Checkin
2013-12-17 16:17 hgbot Note Added: 0062745
2013-12-17 16:17 hgbot Status new => resolved
2013-12-17 16:17 hgbot Resolution open => fixed
2013-12-17 16:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/73475cebe8558161cd85c898ff1958541a585a45 [^]
2013-12-17 16:30 alostale Relationship added related to 0025348
2013-12-18 07:52 alostale Relationship added related to 0025360
2013-12-18 11:29 AugustoMauch Note Added: 0062769
2013-12-18 11:29 AugustoMauch Status resolved => closed
2013-12-18 11:29 AugustoMauch Fixed in Version => 3.0MP31
2013-12-18 13:41 alostale Relationship added related to 0025365
2013-12-19 12:32 hudsonbot Checkin
2013-12-19 12:32 hudsonbot Note Added: 0062857


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker